Download it now!
Bug 99725 - FILEOPEN RTF layout problem with footer (Normal view not showing some text)
Summary: FILEOPEN RTF layout problem with footer (Normal view not showing some text)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTF RTF-Opening
  Show dependency treegraph
 
Reported: 2016-05-07 22:36 UTC by Óvári
Modified: 2018-07-19 02:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2016-05-07 22:36:57 UTC
Attached government RTF document from bug 97895 does not display correctly:
Births, Deaths and Marriages Registration Act 1997—Form 201-BRS — Birth registration statement
http://www.legislation.act.gov.au/af/2014-46/default.asp

In Normal View (View menu → Normal), footer not showing:
Unauthorised version prepared by ACT Parliamentary Counsel’s Office

However, it does show in Print Preview (Ctrl+Shift+O).

Thank you

Windows 8.1 64-bit
LO Version: 5.2.0.0.alpha1+
Build ID: e76d458422b0f0f713cc17bf47ca94c33ac570a7
CPU Threads: 2; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-05-03_06:32:27
Comment 1 Óvári 2016-05-07 22:45:48 UTC
1. Open document
   Footer does not show the text:
     Unauthorised version prepared by ACT Parliamentary Counsel’s Office
2. Select Print Preview (Ctrl+Shift+O)
   Just before showing Print Preview the footer shows the text
   (This computer must be very slow)
3. Print Preview shows text.
4. Close Print Preview (Esc)
   Normal View now shows the text.

Thank you

Windows 8.1 64-bit
LO Version: 5.2.0.0.alpha1+
Build ID: e76d458422b0f0f713cc17bf47ca94c33ac570a7
CPU Threads: 2; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-05-03_06:32:27
Comment 2 Óvári 2016-05-08 02:23:00 UTC
Perhaps this is only a Windows bug as it shows correctly on:
Linux Mint 17.3 64-bit Cinnamon
LO Version: 5.2.0.0.alpha1+
Build ID: 52871b360c73efd59bfbc811b8b89a02b6375b29
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-05-07_00:52:43
Comment 3 Óvári 2016-05-08 02:24:06 UTC
(In reply to Óvári from comment #2)
> Perhaps this is only a Windows bug as it shows correctly on:
> Linux Mint 17.3 64-bit Cinnamon
> LO Version: 5.2.0.0.alpha1+
> Build ID: 52871b360c73efd59bfbc811b8b89a02b6375b29
> CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
> TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-05-07_00:52:43

Retested an bug appears on Linux Mint 17.3
Comment 4 MM 2016-05-08 12:55:21 UTC
Confirmed with v5.2.0.0a1 under ubuntu 16.04 x64.

If you go to 'format footer' and change the height from 0.10 cm to 0.20, the lost text appears again.
But, after saving (to rtf) and opening again, the footer height changed again back to 0.10. Dunno if the rtf spec say something about setting the height, can't find it. So I don't know if it's an LO bug or a flaw in the rtf spec.
Comment 5 Óvári 2016-05-08 22:26:46 UTC
(In reply to MM from comment #4)

\footeryN 	Footer is N twips from the bottom of the page (the default is 720).
http://www.biblioscape.com/rtf15_spec.htm

Twips are screen-independent units to ensure that the proportion of screen elements are the same on all display systems. A twip is defined as being 1/1440 of an inch. A pixel is a screen-dependent unit, standing for 'picture element'. A pixel is a dot that represents the smallest graphical measurement on a screen.
https://en.wikipedia.org/wiki/Twip
Comment 6 Buovjaga 2016-05-11 16:33:57 UTC
Let's set to NEW for now.
Comment 7 Xisco Faulí 2016-09-19 15:29:42 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2018-07-19 02:42:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug